Change log for parlatype package in Ubuntu

15 of 5 results
Published in eoan-proposed on 2019-08-08
parlatype (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * d/control:
    - Bump Standards-Version to 4.4.0 (no changes)
    - Bump debhelper compat using debhelper-compat (= 12)
      and remove debian/compat
    - Bump libparlatype's so-name to 2
    - Bump gir1.2-parlatype-1.0 to gir1.2-parlatype-2.0
    - Remove intltool from Build-Depends
    - Add new Build-Depends (appstream, libatspi2.0-dev,
      libpocketsphinx-dev, libsphinxbase-dev, meson)
    - Bump libgtk version to >= 3.22.0
  * d/copyright:
    - Add BSD-2 license for pocketsphinx files
    - Remove license for removed file
    - Update years
  * d/libparlatype2.symbols
    - Update symbols
    - Add Build-Depends-Package field
  * d/patches: Add upstream patch to remove a private symbol
  * d/rules:
    - Change configure options to Meson syntax
    - Skip tests, they fail in build environment
    - Build documentation on all architectures
      (regression to previous package with Autotools)
    - Exclude GStreamer plugin from dh_makeshlibs
  * d/*.install:
    - Adjust for renamed libreoffice helpers metainfo file
    - Adjust libreoffice-helpers script path
    - Install new files (help pages, GStreamer plugin)

 -- Gabor Karsay <email address hidden>  Mon, 05 Aug 2019 19:39:58 +0200
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-11
Deleted in disco-proposed (Reason: moved to release)
parlatype (1.5.6-1) unstable; urgency=medium

  * d/gbp.conf: create file with pristine-tar = TRUE
  * New upstream version 1.5.6
  * d/control: bump Standards-Version to 4.2.0 (no changes)
  * d/copyright:
    - contract single copyright years into a range of years
    - add complete legal text to CC licenses
  * d/upstream/medadata: create file with metadata

 -- Gabor Karsay <email address hidden>  Fri, 17 Aug 2018 14:29:36 +0200

Available diffs

Superseded in disco-release on 2018-11-11
Published in cosmic-release on 2018-07-09
Deleted in cosmic-proposed (Reason: moved to release)
parlatype (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * Remove patches included upstream
  * d/control: move gtk-doc-tools to Build-Depends-Indep
  * Bump debhelper compat level to 11
  * Add autopkgtest
  * Update copyright
  * Update Vcs-* to salsa.debian.org
  * Bump standards version to 4.1.5 (add Rules-Requires-Root: no)

 -- Gabor Karsay <email address hidden>  Fri, 06 Jul 2018 20:18:51 +0200

Available diffs

Superseded in cosmic-release on 2018-07-09
Published in bionic-release on 2017-12-04
Deleted in bionic-proposed (Reason: moved to release)
parlatype (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * Apply upstream patch to fix build on hurd-i386 and kfreebsd-*
    (Closes: #882517)
  * Build docs architecture independent (Closes: #882520)
  * Disable new upstream tests (they fail in build environment)
  * Add copyright for test data
  * Bump standards version to 4.1.1 (no changes needed)

 -- Gabor Karsay <email address hidden>  Tue, 28 Nov 2017 23:50:35 +0100

Available diffs

Superseded in bionic-release on 2017-12-04
Deleted in bionic-proposed on 2017-12-05 (Reason: moved to release)
parlatype (1.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #868886)

 -- Gabor Karsay <email address hidden>  Thu, 28 Sep 2017 12:30:27 +0200
15 of 5 results